# Lamium

A simple HTML album generator.

Features:

- Generate rectangular or square image thumbnails
- Default plain theme with CSS lightbox
- Supported image types: .jpg, .png
- Supported image caption files: .txt, .html


*This is currently a preview release and may contain issues.*


## Build

- Download the source or `git clone` the repo.

- Install [Go](https://golang.org), then build: `go build -o lm .`


## Usage

- Make a new album directory and change into it: `mkdir [album] && cd [album]`

- Add a folder or "set" of images to the directory, including any image caption files.

- Generate a new sample config and theme: `lm new`

- Edit the settings in the `.json` config file.

- Customise the default theme templates as desired.

- Generate the album: `lm make`

By default the `make` option will output a `public_html` folder inside the album source directory with the generated HTML files, images and thumbnails. The HTML album can then be uploaded to a web server directory using rsync or another file transfer application.


Example album structure:

```
album/
	|- set1/
	|		|- image1.jpg
	|		|- image1.txt
	|		|- image2.jpg
	|		|- image2.txt
	|   |- index.txt
	|- themes/
	|		|- [theme]/
	|   |- index.txt
	|- lamium.json
```


## License

[0BSD](https://spdx.org/licenses/0BSD.html)
